% script to plot current, voltage and temperature profile of data recorded
% with Digatron test rig 
% as first step: load a data from the digatron test rig into workspace

f_handle = figure;
set(f_handle,'defaulttextinterpreter','latex');

sub(1) = subplot(3,1,1);
plot(digatron.time_sec./(3600), digatron.voltage_V, 'b', 'linewidth', 2);
% xlabel('time in h');
ylabel('voltage in $V$');
grid on;

sub(2) = subplot(3,1,2);
plot(digatron.time_sec./(3600), digatron.current_A, 'r', 'linewidth', 2);
% xlabel('time in h');
ylabel('current in $A$');
grid on;

sub(3) = subplot(3,1,3);
plot(digatron.time_sec./(3600), digatron.temperature_celcius, 'b');

% xlabel('time in h');
ylabel('acid temp in $\circ C$');
grid on;

linkaxes(sub, 'x');

