
% reduce data size

folders = dir();

for folderCnt = 1:length(folders)
    
    if(folders(folderCnt).isdir && length(folders(folderCnt).name) > 2)
        
        disp(folders(folderCnt).name);
        path = folders(folderCnt).name;
        subfolders = dir(path);
        
        for subfoldersCnt = 1:length(subfolders)
            
            if(subfolders(subfoldersCnt).isdir && length(subfolders(subfoldersCnt).name) > 2)
                
                disp(subfolders(subfoldersCnt).name);
                path = [folders(folderCnt).name '\' subfolders(subfoldersCnt).name];
                digatronFiles = dir([path '\*.mat']);
                
                for digatronFileCnt = 1:length(digatronFiles)
                
                    load([path '\' digatronFiles(digatronFileCnt).name]);

                    if(exist('diga','var'))
                        digatron.voltage_V = diga.daten.Span;
                        digatron.current_A = diga.daten.Strom./1000;
                        digatron.time_sec = diga.daten.Programmdauer;

                        if(isfield(diga.daten,'Kanal025115'))
                            digatron.temperature_celcius = diga.daten.Kanal025115;
                        elseif(isfield(diga.daten,'Kanal026115'))
                            digatron.temperature_celcius = diga.daten.Kanal026115;
                        elseif(isfield(diga.daten,'Kanal027115'))
                            digatron.temperature_celcius = diga.daten.Kanal027115;
                        else
                            % do nothing
                        end;

                        digatron.program = diga.daten.Prozedur(1);
                        digatron.institution = 'Chair for Electrochemical Energy Conversion and Storage Systems, Institute for Power Electronics and Electrical Drives (ISEA), RWTH Aachen University, Jgerstrasse 17-19, 52066 Aachen, Germany; batteries@isea.rwth-aachen.de';
                        digatron.creator = 'Monika Kwiecien';
                        digatron.year = 2018;

                        save([path '\' digatronFiles(digatronFileCnt).name], 'digatron');
                        clear digatron diga;
                    else
                        clear digatron;
                    end;
                
                end;
                
                EISfiles = dir([path '\EISData\*.mat']);
                
                for EISfilesCnt = 1:length(EISfiles)
                    
                    load([path '\EISData\' EISfiles(EISfilesCnt).name]);
                    
                    if(exist('diga','var'))
                        
                        eisMeter.Zimg_whole_Ohm = diga.daten.Zimg1;
                        eisMeter.Zreal_whole_Ohm = diga.daten.Zreal1;
                        eisMeter.Zimg_neg_Ohm = -1*diga.daten.Zimg2;
                        eisMeter.Zreal_neg_Ohm = -1*diga.daten.Zreal2;
                        eisMeter.ActFreq_Hz = diga.daten.ActFreq;
                        eisMeter.Vrelativ = diga.daten.VRelativ;
                        eisMeter.AAmplitude_A = diga.daten.AAmplitude;

                        eisMeter.program = diga.daten.Prozedur(1);
                        eisMeter.institution = 'Chair for Electrochemical Energy Conversion and Storage Systems, Institute for Power Electronics and Electrical Drives (ISEA), RWTH Aachen University, Jgerstrasse 17-19, 52066 Aachen, Germany; batteries@isea.rwth-aachen.de';
                        eisMeter.creator = 'Monika Kwiecien';
                        eisMeter.year = 2018;

                        save([path '\EISData\' EISfiles(EISfilesCnt).name], 'eisMeter');
                        clear eisMeter diga;
                    
                    else
                        clear eisMeter;
                    end;
                    
                end;
                
            end;
            
        end;
        
    end;
    
end;
